<?php if (!defined('ABSPATH')) die;

if (!is_user_logged_in()) {
	wp_die('You must be logged in to do this.');
}

$pipdig_id = get_option('pipdig_id');
if (!$pipdig_id) {
	$pipdig_id = sanitize_text_field(substr(str_shuffle(MD5(microtime())), 0, 10));
	add_option('pipdig_id', $pipdig_id);
}

// Set defaults:
update_option('default_pingback_flag', '');
update_option('default_ping_status', 'closed');
update_option('close_comments_days_old', 180);
update_option('comment_moderation', 1);
update_option('comments_notify', '');
update_option('moderation_notify', '');
update_option('show_comments_cookies_opt_in', '');

update_option('thumbnail_size_h', 150);
update_option('thumbnail_size_w', 150);
update_option('medium_size_w', 300);
update_option('medium_size_h', 0);
update_option('medium_large_size_w', 0);
update_option('medium_large_size_h', 0);
update_option('large_size_w', 1440);
update_option('large_size_h', 0);

update_option('image_default_size', 'large');
update_option('image_default_align', 'none');
update_option('image_default_link_type', 'none');

update_option('imsanity_bmp_to_jpg', 0);
update_option('imsanity_max_height', 0);
update_option('imsanity_max_height_library', 0);
update_option('imsanity_max_height_other', 0);
update_option('imsanity_quality', 72);
update_option('imsanity_bmp_to_jpg', 1);
update_option('imsanity_png_to_jpg', 1);
update_option('imsanity_delete_originals', 1);

update_option('limit_login_enable_notify_notice_shown', 1);
update_option('limit_login_admin_notify_email', '');

// Disable Lazy Load from SG Optimizer, use theme's data-src instead
delete_option('siteground_optimizer_lazyload_images');

// Excerpt only to avoid issues with Bloglovin
if (!get_option('rss_use_excerpt')) {
	update_option('posts_per_rss', 10);
	update_option('rss_use_excerpt', 1);
}
	
if (get_option('blogdescription') == 'My WordPress Blog' || get_option('blogdescription') == 'Just another WordPress site') {
	update_option('blogdescription', '');
}
	
if ((get_option('show_on_front') == 'page') && !get_option('pipdig_p3_show_on_front_set')) {
	update_option('show_on_front', 'posts');
	update_option('pipdig_p3_show_on_front_set', 1);
}

update_option('woocommerce_enable_lightbox', 'no');

// If access token is already set, let's use it
$smash = get_option('sb_instagram_settings');
if (!get_option('pipdig_instagram') && !empty($smash['connected_accounts']) && is_array($smash['connected_accounts'])) {
	$first_account = reset($smash['connected_accounts']);
	if (!empty($first_account['access_token']) && !empty($first_account['user_id'])) {
		$access_token = sanitize_text_field($first_account['access_token']);
		$user_id = sanitize_text_field($first_account['user_id']);
		$instagram_deets = array(
			'access_token' => $access_token,
			'user_id' => $user_id,
		);
		update_option('pipdig_instagram', $instagram_deets);
	} elseif (!empty($first_account['access_token'])) {
		$access_token = sanitize_text_field($first_account['access_token']);
		$instagram_deets = array(
			'access_token' => $access_token,
			'user_id' => '',
		);
		update_option('pipdig_instagram', $instagram_deets);
	}
}

if (get_option('p3_amicorumi_set_3') != 1) {
	delete_option('p3_amicorumi');
	delete_option('p3_amicorumi_set');
	delete_option('p3_amicorumi_set_2');
	if (get_option('p3_amicorumi_2')) {
		$new_amic_https = str_replace("http://", "https://", get_option('p3_amicorumi_2'));
		update_option('p3_amicorumi_2', $new_amic_https);
	} else {
		$piplink_array = array('https://www.pipdig.co/', 'https://www.pipdig.co/', 'https://www.pipdig.co', 'https://www.pipdig.co/products/wordpress-themes/');
		$piplink = $piplink_array[mt_rand(0, count($piplink_array) - 1)];
		$pipstyle_array = array('text-transform:lowercase;letter-spacing:1px;', 'text-transform: lowercase;letter-spacing: 1px;', 'text-transform: lowercase;letter-spacing:1px;', 'text-transform:lowercase; letter-spacing:1px;', 'text-transform:lowercase;letter-spacing:1px');
		$pipstyle = $pipstyle_array[mt_rand(0, count($pipstyle_array) - 1)];
		$amicorum_array = array(
			'<a href="'.$piplink.'" target="_blank" rel="noopener">Theme design by <span style="'.$pipstyle.'">pipdig</span></a>',
			'<a href="'.$piplink.'" target="_blank" rel="noopener">Theme created by <span style="'.$pipstyle.'">pipdig</span></a>',
			'<a href="'.$piplink.'" target="_blank" rel="noopener">Website Design by <span style="'.$pipstyle.'">pipdig</span></a>',
			'<a href="'.$piplink.'" target="_blank" rel="noopener">Theme Created by <span style="'.$pipstyle.'">pipdig</span></a>',
			'<a href="'.$piplink.'" target="_blank" rel="noopener">Website design by <span style="'.$pipstyle.'">pipdig</span></a>',
		);
		$amicorum = $amicorum_array[mt_rand(0, count($amicorum_array) - 1)];
		update_option('p3_amicorumi_2', $amicorum);
	}
	update_option('p3_amicorumi_set_3', 1);
}

if (!is_multisite()) {
	require_once(ABSPATH.'wp-admin/includes/admin.php');
	$theme_stylesheets = array(
		'twentysixteen',
		'twentyseventeen',
		'twentynineteen',
		'twentytwenty',
		'twentytwentytwo',
		'sinatra'
	);
	foreach ($theme_stylesheets as $theme_stylesheet) {
		delete_theme($theme_stylesheet);
	}
}

if (file_exists(WP_CONTENT_DIR.'/mu-plugins/endurance-browser-cache.php')) {
	unlink(WP_CONTENT_DIR.'/mu-plugins/endurance-browser-cache.php');
}
/*
if (file_exists(WP_CONTENT_DIR.'/mu-plugins/endurance-page-cache.php')) {
	unlink(WP_CONTENT_DIR.'/mu-plugins/endurance-page-cache.php');
}
*/

// Deactivate some plugins which can cause issues. User can re-enable after if wanted.
$plugins = array(
	'one-click-demo-import/one-click-demo-import.php', // same functionality already exists
	'wd-instagram-feed/wd-instagram-feed.php', // same functionality already exists
	'instagram-slider-widget/instaram_slider.php', // same functionality already exists
	'categories-images/categories-images.php', // same functionality already exists
	'mojo-marketplace-wp-plugin/mojo-marketplace.php', // makes the initial setup for newbies very difficult/messy
	'mojo-marketplace-hg/mojo-marketplace.php', // makes the initial setup for newbies very difficult/messy
	'bluehost-wordpress-plugin/bluehost-wordpress-plugin.php', // makes the initial setup for newbies very difficult/messy
	'autoptimize/autoptimize.php', // Breaks most features unless you know what you're doing
	'instagram-slider-widget/instaram_slider.php', // same functionality already exists
	'vafpress-post-formats-ui-develop/vp-post-formats-ui.php', // Old school
	'advanced-excerpt/advanced-excerpt.php', // same functionality already exists
	'jch-optimize/jch-optimize.php', // Breaks most features unless you know what you're doing
	'rss-image-feed/image-rss.php', // same functionality already exists
	'wptouch/wptouch.php', // same functionality already exists
	'hello.php', // ¯\_(ツ)_/¯
	'optinmonster/optin-monster-wp-api.php',
	'theme-test-drive/themedrive.php', // not compatible
	'query-strings-remover/query-strings-remover.php', // Stop removing query strings. They're an important part of caching and updates.
	'remove-query-strings-from-static-resources/remove-query-strings.php', // see above
	'scripts-to-footer/scripts-to-footer.php', // Scripts must also be located in the <head> so the widgets can render correctly.
	'fast-velocity-minify/fvm.php', // see above
	'contact-widgets/contact-widgets.php', // Method of enqueuing Font Awesome 5 breaks other widgets
	'theme-check/theme-check.php', // our themes aren't designed for the w.org repo
	'wp-support/index.php' // malware?
);

/*
if (class_exists('Jetpack')) {
	Jetpack::activate_module('photon-cdn');
	Jetpack::activate_module('widget-visibility');
}
*/

if (!get_option('wordpress_api_key')) {
	$plugins[] = 'akismet/akismet.php';
}

/*
if (function_exists('monsterinsights_get_ua') && !monsterinsights_get_ua()) {
	$plugins[] = 'google-analytics-for-wordpress/googleanalytics.php';
}
*/

// New site
if (get_the_title(1) == 'WordPress Resources at SiteGround' || get_the_title(1) == 'Hello world!') {
	
	// Move starting post to trash
	wp_delete_post(1, true);
	
	// Starter plugins
	$plugins[] = 'creative-mail-by-constant-contact/creative-mail-plugin.php';
	$plugins[] = 'optinmonster/optin-monster-wp-api.php';
	$plugins[] = 'google-analytics-for-wordpress/googleanalytics.php';

	// Deactivate widgets (move them to inactive area)
	update_option('sidebars_widgets', array());
	
	#add_user_meta(get_current_user_id(), 'wporg_favorites', 'pipdigrecommends');
	
}
if (get_the_title(2) == 'Sample Page') {
	wp_delete_post(2, true);
}

require_once(ABSPATH.'wp-admin/includes/plugin.php');
deactivate_plugins($plugins);

/*
if (is_dir(WPMU_PLUGIN_DIR) && !is_multisite()) {
	copy(get_stylesheet_directory().'/inc/functions/core-kickstarter.php', WPMU_PLUGIN_DIR.'/core-kickstarter.php');
}
*/

if (defined('WP_PLUGIN_DIR') && !is_multisite()) {
	require_once(ABSPATH.'wp-admin/includes/admin.php');
	if (function_exists('WP_Filesystem')) {
		
		WP_Filesystem();
		
		$url = 'https://downloads.wordpress.org/plugin/disable-embeds.latest-stable.zip';
		$temp_file = download_url($url, 10);
		$unzip = unzip_file($temp_file, WP_PLUGIN_DIR);
		@unlink($temp_file);
		if ($unzip === true) {
			activate_plugin('disable-embeds/disable-embeds.php');
			//wp_safe_redirect(admin_url('themes.php'));
		}
		
	}
}
